# PetscViewerFileGetName

Gets the name of the file the PetscViewer uses.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscViewerFileGetName(PetscViewer viewer,char **name)

Not Collective

### Input Parameter

viewer -the PetscViewer; either ASCII or binary

### Output Parameter

name -the name of the file it is using

### See Also

PetscViewerCreate(), PetscViewerSetType(), PetscViewerASCIIOpen(), PetscViewerBinaryOpen(), PetscViewerFileSetName()

Level:advanced
Location: src/sys/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages